'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var palette = require('@guardian/src-foundations/palette/cjs');

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

var accordionDefault = {
  accordion: {
    textPrimary: palette.text.primary,
    borderPrimary: palette.border.primary
  }
};

var buttonDefault = {
  button: {
    textPrimary: palette.text.ctaPrimary,
    backgroundPrimary: palette.background.ctaPrimary,
    backgroundPrimaryHover: palette.background.ctaPrimaryHover,
    textSecondary: palette.text.ctaSecondary,
    backgroundSecondary: palette.background.ctaSecondary,
    backgroundSecondaryHover: palette.background.ctaSecondaryHover,
    textTertiary: palette.text.ctaTertiary,
    backgroundTertiaryHover: palette.background.ctaTertiaryHover,
    borderTertiary: palette.border.ctaTertiary,
    textSubdued: palette.text.ctaSecondary
  }
};
var buttonBrand = {
  button: {
    textPrimary: palette.brandText.ctaPrimary,
    backgroundPrimary: palette.brandBackground.ctaPrimary,
    backgroundPrimaryHover: palette.brandBackground.ctaPrimaryHover,
    textSecondary: palette.brandText.ctaSecondary,
    backgroundSecondary: palette.brandBackground.ctaSecondary,
    backgroundSecondaryHover: palette.brandBackground.ctaSecondaryHover,
    textTertiary: palette.brandText.ctaTertiary,
    backgroundTertiaryHover: palette.brandBackground.ctaTertiaryHover,
    borderTertiary: palette.brandBorder.ctaTertiary,
    textSubdued: palette.brandText.ctaSecondary
  }
};
var buttonBrandAlt = {
  button: {
    textPrimary: palette.brandAltText.ctaPrimary,
    backgroundPrimary: palette.brandAltBackground.ctaPrimary,
    backgroundPrimaryHover: palette.brandAltBackground.ctaPrimaryHover,
    textSecondary: palette.brandAltText.ctaSecondary,
    backgroundSecondary: palette.brandAltBackground.ctaSecondary,
    backgroundSecondaryHover: palette.brandAltBackground.ctaSecondaryHover,
    textTertiary: palette.brandAltText.ctaTertiary,
    backgroundTertiaryHover: palette.brandAltBackground.ctaTertiaryHover,
    borderTertiary: palette.brandAltBorder.ctaTertiary,
    textSubdued: palette.brandAltText.ctaSecondary
  }
};

var userFeedbackDefault = {
  userFeedback: {
    textSuccess: palette.text.success,
    textError: palette.text.error
  }
};
var userFeedbackBrand = {
  userFeedback: {
    textSuccess: palette.brandText.success,
    textError: palette.brandText.error
  }
};

var labelDefault = {
  label: {
    textLabel: palette.text.inputLabel,
    textOptional: palette.text.supporting,
    textSupporting: palette.text.supporting,
    textError: palette.text.error,
    textSuccess: palette.text.success
  }
};
var labelBrand = {
  label: {
    textLabel: palette.brandText.inputLabel,
    textOptional: palette.brandText.supporting,
    textSupporting: palette.brandText.supporting,
    textError: palette.brandText.error,
    textSuccess: palette.brandText.success
  }
};

var checkboxDefault = _objectSpread2(_objectSpread2({
  checkbox: {
    border: palette.border.input,
    borderHover: palette.border.inputHover,
    borderChecked: palette.border.inputChecked,
    borderError: palette.border.error,
    backgroundChecked: palette.background.inputChecked,
    textLabel: palette.text.inputLabel,
    textLabelSupporting: palette.text.inputLabelSupporting,
    textIndeterminate: palette.text.supporting
  }
}, userFeedbackDefault), labelDefault);
var checkboxBrand = _objectSpread2(_objectSpread2({
  checkbox: {
    border: palette.brandBorder.input,
    borderHover: palette.brandBorder.inputHover,
    borderChecked: palette.brandBorder.inputChecked,
    borderError: palette.brandBorder.error,
    backgroundChecked: palette.brandBackground.inputChecked,
    textLabel: palette.brandText.inputLabel,
    textLabelSupporting: palette.brandText.inputLabelSupporting,
    textIndeterminate: palette.brandText.supporting
  }
}, userFeedbackBrand), labelBrand);

var choiceCardDefault = _objectSpread2({
  choiceCard: {
    textLabel: palette.text.supporting,
    textLabelSupporting: palette.text.supporting,
    textGroupLabel: palette.text.groupLabel,
    textGroupLabelSupporting: palette.text.groupLabelSupporting,
    border: palette.border.input,
    textChecked: palette.text.inputChecked,
    backgroundChecked: "#E3F6FF",
    backgroundTick: palette.background.inputChecked,
    borderChecked: palette.border.inputChecked,
    textHover: palette.text.inputHover,
    borderHover: palette.border.inputHover,
    textError: palette.text.error,
    borderError: palette.border.error
  }
}, userFeedbackDefault);

var footerBrand = {
  footer: {
    border: palette.brandBorder.primary,
    background: palette.brandBackground.primary,
    text: palette.brandText.primary,
    anchor: palette.brandText.anchorPrimary,
    anchorHover: palette.brandText.anchorPrimaryHover
  }
};

var inlineErrorDefault = {
  inlineError: {
    text: palette.text.error
  }
};
var inlineErrorBrand = {
  inlineError: {
    text: palette.brandText.error
  }
};

var linkDefault = {
  link: {
    textPrimary: palette.text.anchorPrimary,
    textPrimaryHover: palette.text.anchorPrimary,
    textSecondary: palette.text.anchorSecondary,
    textSecondaryHover: palette.text.anchorSecondary
  }
};
var linkBrand = {
  link: {
    textPrimary: palette.brandText.anchorPrimary,
    textPrimaryHover: palette.brandText.anchorPrimary
  }
};
var linkBrandAlt = {
  link: {
    textPrimary: palette.brandAltText.anchorPrimary,
    textPrimaryHover: palette.brandAltText.anchorPrimary
  }
};

var radioDefault = _objectSpread2(_objectSpread2({
  radio: {
    borderHover: palette.border.inputHover,
    border: palette.border.input,
    backgroundChecked: palette.background.inputChecked,
    textLabel: palette.text.inputLabel,
    textLabelSupporting: palette.text.inputLabelSupporting,
    borderError: palette.border.error
  }
}, labelDefault), userFeedbackDefault);
var radioBrand = _objectSpread2(_objectSpread2({
  radio: {
    borderHover: palette.brandBorder.inputHover,
    border: palette.brandBorder.input,
    backgroundChecked: palette.brandBackground.inputChecked,
    textLabel: palette.brandText.inputLabel,
    textLabelSupporting: palette.brandText.supporting,
    borderError: palette.brandBorder.error
  }
}, labelBrand), userFeedbackBrand);

var selectDefault = _objectSpread2({
  select: {
    textUserInput: palette.text.userInput,
    textLabel: palette.text.inputLabel,
    textLabelOptional: palette.text.supporting,
    textLabelSupporting: palette.text.supporting,
    textError: palette.text.error,
    textSuccess: palette.text.success,
    backgroundInput: palette.background.input,
    border: palette.border.input,
    borderActive: palette.border.inputActive,
    borderError: palette.border.error,
    borderSuccess: palette.border.success
  }
}, userFeedbackDefault);

var textInputDefault = _objectSpread2({
  textInput: {
    textUserInput: palette.text.userInput,
    textLabel: palette.text.inputLabel,
    textLabelOptional: palette.text.supporting,
    textLabelSupporting: palette.text.supporting,
    textError: palette.text.error,
    textSuccess: palette.text.success,
    backgroundInput: palette.background.input,
    border: palette.border.input,
    borderActive: palette.border.inputActive,
    borderError: palette.border.error,
    borderSuccess: palette.border.success
  }
}, userFeedbackDefault);

var defaultTheme = _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, buttonDefault), checkboxDefault), choiceCardDefault), inlineErrorDefault), labelDefault), linkDefault), radioDefault), textInputDefault), userFeedbackDefault);
var brand = _objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2(_objectSpread2({}, buttonBrand), checkboxBrand), footerBrand), inlineErrorBrand), labelBrand), linkBrand), radioBrand), userFeedbackBrand);
var brandAlt = _objectSpread2(_objectSpread2({}, buttonBrandAlt), linkBrandAlt);

exports.accordionDefault = accordionDefault;
exports.brand = brand;
exports.brandAlt = brandAlt;
exports.buttonBrand = buttonBrand;
exports.buttonBrandAlt = buttonBrandAlt;
exports.buttonDefault = buttonDefault;
exports.checkboxBrand = checkboxBrand;
exports.checkboxDefault = checkboxDefault;
exports.choiceCardDefault = choiceCardDefault;
exports.defaultTheme = defaultTheme;
exports.footerBrand = footerBrand;
exports.inlineErrorBrand = inlineErrorBrand;
exports.inlineErrorDefault = inlineErrorDefault;
exports.labelBrand = labelBrand;
exports.labelDefault = labelDefault;
exports.linkBrand = linkBrand;
exports.linkBrandAlt = linkBrandAlt;
exports.linkDefault = linkDefault;
exports.radioBrand = radioBrand;
exports.radioDefault = radioDefault;
exports.selectDefault = selectDefault;
exports.textInputDefault = textInputDefault;
exports.userFeedbackBrand = userFeedbackBrand;
exports.userFeedbackDefault = userFeedbackDefault;
